/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program testing isupper() */
#include <ctype.h>
#include <stdio.h>

int main() {
    char c = 'A';
    printf("isupper('%c') returns %d\n", c,isupper(c));
    if(isupper(c) > 0)
        printf("'%c' is a upper case character.\n", c);
    else
        printf("'%c' is not a upper case character.\n", c);
    c = 'a';
    printf("isupper('%c') returns %d\n", c,isupper(c));
    if(isupper(c) > 0)
        printf("'%c' is a upper case character.\n", c);
    else
        printf("'%c' is not a upper case character.\n",c);
}
